
Summary: Gstreamer phonon backend
Name:    phonon-backend-gstreamer
Epoch:   2
Version: 4.9.0
Release: 12%{?dist}

License: LGPLv2+
URL:     http://phonon.kde.org/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/phonon/phonon-backend-gstreamer/%{version}/phonon-backend-gstreamer-%{version}.tar.xz

## upstream patches

## upstreamable patches

BuildRequires: pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(gstreamer-app-1.0) pkgconfig(gstreamer-audio-1.0) pkgconfig(gstreamer-video-1.0)

Requires: gstreamer1-plugins-good%{?_isa}

BuildRequires: automoc4
BuildRequires: cmake >= 2.8.9
BuildRequires: extra-cmake-modules
BuildRequires: gcc-c++
BuildRequires: kf5-rpm-macros
BuildRequires: pkgconfig(phonon) >= 4.7.80
BuildRequires: pkgconfig(phonon4qt5) >= 4.7.80
BuildRequires: pkgconfig(QtOpenGL)
BuildRequires: pkgconfig(Qt5OpenGL)
BuildRequires: pkgconfig(Qt5X11Extras)

%global phonon_version %(pkg-config --modversion phonon 2>/dev/null || echo 4.7.80)

Provides: phonon-backend%{?_isa} = %{phonon_version}

Obsoletes: phonon-backend-gst < 4.2.0-4
Provides:  phonon-backend-gst = %{version}-%{release}

Obsoletes: phonon-gstreamer < 4.4.4-0.2
Provides:  phonon-gstreamer = %{version}-%{release}

# provide upgrade path for deprecated/removed -xine backend
Obsoletes: phonon-backend-xine < 4.5.0

# not *strictly* required, but strongly recommended by upstream when built
# with USE_INSTALL_PLUGIN
#Requires: PackageKit-gstreamer-plugin
Requires: phonon%{?_isa} => %{phonon_version}
Requires: qt4%{?_isa} >= %{_qt4_version}

%description
%{summary}.

%package -n phonon-qt5-backend-gstreamer
Summary:  Gstreamer phonon-qt5 backend
Provides: phonon-qt5-backend%{?_isa} = %{phonon_version}
Requires: gstreamer1-plugins-good%{?_isa}
%description -n phonon-qt5-backend-gstreamer
%{summary}.


%prep
%autosetup -n phonon-gstreamer-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake} .. \
  -DCMAKE_BUILD_TYPE:STRING="Release" \
  -DUSE_INSTALL_PLUGIN:BOOL=ON
popd

%make_build -C %{_target_platform}

mkdir %{_target_platform}-Qt5
pushd %{_target_platform}-Qt5
%{cmake_kf5} .. \
  -DCMAKE_BUILD_TYPE:STRING="Release" \
  -DUSE_INSTALL_PLUGIN:BOOL=ON \
  -DPHONON_BUILD_PHONON4QT5:BOOL=ON
popd

%make_build -C %{_target_platform}-Qt5


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}-Qt5
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files
%license COPYING.LIB
%{_kde4_libdir}/kde4/plugins/phonon_backend/phonon_gstreamer.so
%{_kde4_datadir}/kde4/services/phononbackends/gstreamer.desktop
%{_datadir}/icons/hicolor/*/apps/phonon-gstreamer.*

%files -n phonon-qt5-backend-gstreamer
%license COPYING.LIB
%{_qt5_plugindir}/phonon4qt5_backend/phonon_gstreamer.so


%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2:4.9.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Apr 22 2019 Rex Dieter <rdieter@fedoraproject.org> - 2:4.9.0-11
- rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2:4.9.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2:4.9.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 28 2018 Adam Williamson <awilliam@redhat.com> - 2:4.9.0-8
- Fix a gstreamer dep from -7 (good, not good5)

* Tue Feb 27 2018 Rex Dieter <rdieter@fedoraproject.org> - 2:4.9.0-7
- tighten gstreamer plugin dep
- use %%license, %%make_build 
- BR: gcc-c++

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2:4.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2:4.9.0-5
- Remove obsolete scriptlets

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2:4.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2:4.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2:4.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Apr 21 2016 Rex Dieter <rdieter@fedoraproject.org> - 2:4.9.0-1
- phonon-backend-4.9.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2:4.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 06 2015 Rex Dieter <rdieter@fedoraproject.org> 2:4.8.2-5
- phonon-backend-gstreamer: gstreamer-1.5+ FTBFS (#1239790)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:4.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 07 2015 Rex Dieter <rdieter@fedoraproject.org> 2:4.8.2-3
- %%build: -DCMAKE_BUILD_TYPE="Release" (sets -DNDEBUG -DQT_NO_DEBUG)

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2:4.8.2-2
- Rebuilt for GCC 5 C++11 ABI change

* Sat Dec 27 2014 Rex Dieter <rdieter@fedoraproject.org> 4.8.2-1
- 4.8.2

* Fri Dec 12 2014 Rex Dieter <rdieter@fedoraproject.org> 2:4.8.1-1
- 4.8.1

* Sat Oct 25 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> 2:4.8.0-3
- -qt5: Requires: gstreamer1-plugins-good, not gstreamer-plugins-good (#1156688)

* Mon Sep 08 2014 Rex Dieter <rdieter@fedoraproject.org> 2:4.8.0-2
- 4.8.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:4.7.80-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Aug 14 2014 Rex Dieter <rdieter@fedoraproject.org> 2:4.7.80-1
- 4.7.80, gst1-only now

* Sun Jul 20 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> 2:4.7.2-2.gstreamer1.20140408git1c8de75487228
- update to a snapshot from the 1.0-porting-for-merge branch
- build against GStreamer 1 on F21+ (#1092643)

* Mon Jun 23 2014 Rex Dieter <rdieter@fedoraproject.org> 2:4.7.2-1
- 4.7.2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:4.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 27 2014 Rex Dieter <rdieter@fedoraproject.org> 2:4.7.1-2
- pull in some upstream fixes

* Fri Dec 06 2013 Rex Dieter <rdieter@fedoraproject.org> 2:4.7.1-1
- 4.7.1

* Tue Nov 12 2013 Rex Dieter <rdieter@fedoraproject.org> 2:4.7.0-3
- pull in upstream fix for some phonon buildsys/api bogosity

* Mon Nov 11 2013 Rex Dieter <rdieter@fedoraproject.org> 2:4.7.0-2
- rebuild

* Mon Nov 04 2013 Rex Dieter <rdieter@fedoraproject.org> 2:4.7.0-1
- phonon-backend-gstreamer-4.7.0, Qt5 support

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:4.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 01 2013 Rex Dieter <rdieter@fedoraproject.org> 4.6.3-1
- 4.6.3

* Thu Nov 29 2012 Rex Dieter <rdieter@fedoraproject.org> 2:4.6.2-2
- dragon playback re-appears for a brief moment (kde#305333)

* Mon Aug 13 2012 Rex Dieter <rdieter@fedoraproject.org> 2:4.6.2-1
- 4.6.2

* Thu Jul 26 2012 Rex Dieter <rdieter@fedoraproject.org> 2:4.6.1-3
- upstream fixes for gapless/repeat issues seen in amarok (#841941)

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:4.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Rex Dieter <rdieter@fedoraproject.org> 4.6.1-1
- 4.6.1

* Fri Feb 17 2012 Rex Dieter <rdieter@fedoraproject.org> 4.6.0-1
- 4.6.0

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:4.5.90-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 15 2011 Rex Dieter <rdieter@fedoraproject.org> 2:4.5.90-4
- drop hard dep on PackageKit-gstreamer-plugin

* Tue Oct 04 2011 Rex Dieter <rdieter@fedoraproject.org> 2:4.5.90-3
- Obsoletes: phonon-backend-xine < 4.5.0

* Fri Sep 23 2011 Rex Dieter <rdieter@fedoraproject.org> 2:4.5.90-2
- 4.5.90
- pkgconfig-style deps

* Mon Jun 06 2011 Rex Dieter <rdieter@fedoraproject.org> 2:4.5.1-2
- drop old flac_mimetype patch, no longer needed

* Fri May 06 2011 Rex Dieter <rdieter@fedoraproject.org> 2:4.5.1-1
- 4.5.1

* Fri May 06 2011 Rex Dieter <rdieter@fedoraproject.org> 2:4.5.1-0.1.20110505
- 20110505 snapshot

* Sun Apr 10 2011 Rex Dieter <rdieter@fedoraproject.org> 2:4.5.0-1
- 4.5.0

* Tue Feb 15 2011 Rex Dieter <rdieter@fedoraproject.org> 2:4.4.4-3
- upstream patch for better(working) dvd playback

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:4.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 21 2011 Rex Dieter <rdieter@fedoraproject.org> 4.4.4-1
- phonon-backend-gstreamer-4.4.4

* Fri Jan 07 2011 Rex Dieter <rdieter@fedoraproject.org> - 2:4.4.4-0.4.20110104
- Requires: PackageKit-gstreamer-plugin , avoids potential crashers elsewhere 
  when built with USE_INSTALL_PLUGIN (kde#262308)

* Wed Jan 05 2011 Rex Dieter <rdieter@fedoraproject.org> - 2:4.4.4-0.3.20110104
- %%doc COPYING.LIB
- add comment on pnonon-gstreamer_snapshot.sh usage

* Wed Jan 05 2011 Rex Dieter <rdieter@fedoraproject.org> - 2:4.4.4-0.2.20110104
- phonon-backend-gstreamer

* Tue Jan 04 2011 Rex Dieter <rdieter@fedoraproject.org> - 4.4.4-0.1.20110104
- phonon-gstreamer-4.4.4-20110104 snapshot

